=== debian/changelog ===
bootterm (0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1068131)

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 04 Apr 2024 20:33:58 +0300
