=== debian/control ===
Source: bootterm
Section: comm
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 help2man <!nodoc>,
 lowdown <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://github.com/wtarreau/bootterm
Vcs-Browser: https://salsa.debian.org/debian/bootterm
Vcs-Git: https://salsa.debian.org/debian/bootterm.git

Package: bootterm
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simple terminal to ease connections with SBCs
 Bootterm is a simple, reliable and powerful terminal designed to ease
 connection to ephemeral serial ports as found on various SBCs, and typically
 USB-based ones.
 .
 Main features:
  * automatic port detection (uses the most recently registered one by default)
  * enumeration of available ports with detected drivers and descriptions
  * wait for a specific, a new, or any port to appear (convenient with USB
    ports)
  * support for non-standard baud rates (e.g. 74880 bauds for ESP8266)
  * can send a Break sequence and toggling RTS/DTR for various reset sequences,
    even on startup
  * fixed/timed captures to files (may be enabled at run time)
  * optionally time-stamped captures (relative/absolute dates)
  * reliable with proper error handling
  * single binary without annoying dependencies, builds out of the box
  * supports stdin/stdout to inject/download data
  * configurable escape character and visible character ranges
